<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <span style="color:blue; border: 1px solid red " onclick="cambiarPestana(1);">Pestaña 1</span>
    <span style="color:blue; border: 1px solid red " onclick="cambiarPestana(2);">Pestaña 2</span>
    <div id="pestana1" name="pestana1" style="display:block">esto es el 1</div>
    <div id="pestana2" name="pestana2" style="display:none">esto es el 2</div>

    <script src="javascript/main.js"></script>

    <script language="javascript">

        function toggle() {
    
            var ele = document.getElementById("toggleText");
            var text = document.getElementById("displayText");
    
            if (ele.style.display == "block") {
    
                ele.style.display = "none";
                text.innerHTML = "show";
            }
            else {
    
                ele.style.display = "block";
                text.innerHTML = "hide";
            }
        }
    </script>
    
    <a id="displayText" href="javascript:toggle();">show</a> <== click Here
    
    <div id="toggleText" style="display: none"><h1>peek-a-boo</h1></div>
</body>
</html>